package com.qs.mp.web.controller.api.channel;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.service.IChannelService;
import com.qs.mp.common.core.page.TableDataInfo;
import com.qs.mp.system.service.id.BizIdGenerator;
import com.qs.mp.web.controller.common.BaseApiController;
import io.swagger.annotations.Api;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @auther zhongcp
 * @create 2022-02-28 16:17:48
 * @describe 渠道管理前端控制器
 */
@Api("渠道管理API")
@RestController
@RequestMapping("/api/v1/mp/channel/*")
@Component
public class ChannelController extends BaseApiController {

  @Autowired
  private IChannelService channelService;

  @Autowired
  private BizIdGenerator bizIdGenerator;

  /**
   * 子渠道列表查询
   *
   * @return
   */
  @PostMapping("subchannel/list")
  public TableDataInfo list(@RequestBody Channel channel) {

    startPage();
    List<Channel> list = channelService.list(new LambdaQueryWrapper<Channel>());
    return getDataTable(list);
  }
}
